/* story */
.story-section {
    padding: 60px 0;
    background: #fff;
    text-align: center;
}

.story-title {
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 30px;
}

.story-title span {
    color: rgba(47, 185, 244, 1);
    
}

.story-card {
    position: relative;
    border-radius: 15px;
    overflow: hidden; 
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    
}

.story-card img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 15px;
    transition: transform 0.3s ease;
}

/* .story-card:hover img {
    transform: scale(1.05);
}
.play-btn img {
    width: 12px;
    height: 20px;
    object-fit: contain;
    transition: transform 0.3s ease;
}

.play-btn img:hover {
    transform: scale(1.1);
} */

/* CSS */
.swiper-button-prev::after,
.swiper-button-next::after {
  display: none;
}

.swiper-button-prev.book-prev,
.swiper-button-next.book-next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(10px);
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s ease;
  z-index: 10;
}

.swiper-button-prev.book-prev:hover,
.swiper-button-next.book-next:hover {
  background: rgba(47, 185, 244, 1);
}

.swiper-button-prev.book-prev {
  left: 5px;
}

.swiper-button-next.book-next {
  right: 5px;
}

.bookSwiper .swiper-wrapper {
  justify-content: flex-start;
}

.story-item {
  position: relative;
  width: 200px;
  height: 350px;
  border-radius: 20px;
  overflow: hidden;
}

.story-item img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.play-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(10px);
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s ease;
}

.play-button img {
  width: 30px;
  height: 30px;
}

.play-button:hover {
  background: rgba(47, 185, 244, 1);
}

.story-swiper-wrapper {
  position: relative;
  margin: auto;
  padding: 0 50px; 
}

.swiper-button-prev.story-prev,
.swiper-button-next.story-next {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(10px);
  cursor: pointer;
  z-index: 10;
  font-size: 24px;
  color: rgba(47, 185, 244, 1)
 
}

.swiper-button-prev.story-prev { left: 0; }
.swiper-button-next.story-next { right: 0; }

.story-swiper .swiper-wrapper {
  justify-content: flex-start;
}

.skeleton-card {
  background: #f2f2f2;
  border-radius: 12px;
  overflow: hidden;
}

.skeleton-video {
  width: 100%;
  height: 560px;
  background: linear-gradient(
      90deg,
      #eeeeee 25%,
      #dddddd 50%,
      #eeeeee 75%
  );
  background-size: 200% 100%;
  animation: skeleton-loading 1.2s infinite;
}

@keyframes skeleton-loading {
  0% {
      background-position: 200% 0;
  }
  100% {
      background-position: -200% 0;
  }
}

